summaryrefslogtreecommitdiff
path: root/init.d/50vcs-perm
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/50vcs-perm')
-rwxr-xr-xinit.d/50vcs-perm12
1 files changed, 12 insertions, 0 deletions
diff --git a/init.d/50vcs-perm b/init.d/50vcs-perm
new file mode 100755
index 0000000..4dd080b
--- /dev/null
+++ b/init.d/50vcs-perm
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ]; then
+ chmod 700 .git
+elif [ "$VCS" = hg ]; then
+ chmod 700 .hg
+elif [ "$VCS" = bzr ]; then
+ chmod 700 .bzr
+elif [ "$VCS" = darcs ]; then
+ chmod 700 _darcs
+fi